Recommended Arduino IDE versions for Z-Uno and Z-Uno2

Discussion about Z-Uno product. Visit http://z-uno.z-wave.me for more details.
Post Reply
GregN
Posts: 30
Joined: 20 Aug 2015 01:47

Recommended Arduino IDE versions for Z-Uno and Z-Uno2

Post by GregN »

Hi,

What are the recommended Arduino IDE versions to use for Z-Uno and Z-Uno2? The getting started pages (https://z-uno.z-wave.me/arduino-install/) seem to suggest quite old versions (1.6.5 for Z-Uno and 1.8.16 for Z-Uno2) which don't offer the latest Z-Uno package versions, only up to 2.1.7 for Z-Uno and 3.0.7 for Z-Uno2. Furthermore, as noted by others, the latest Arduino IDE (2.3.2) doesn't work with compilations failing.

Thanks,

Gregory
element
Posts: 19
Joined: 22 Oct 2021 02:10

Re: Recommended Arduino IDE versions for Z-Uno and Z-Uno2

Post by element »

Board package Zuno2 version 3.0.10, was latest version from: https://z-uno.z-wave.me/files/z-uno2/pa ... index.json not working witch IDE version 2.x.x. and displays the following errors:

Code: Select all

FQBN: Z-Uno2:zw_cm4f:zuno2:Frequency=Eu
Using board 'zuno2' from platform in folder: C:\Users\duch\AppData\Local\Arduino15\packages\Z-Uno2\hardware\zw_cm4f\3.0.10
Using core '/' from platform in folder: C:\Users\duch\AppData\Local\Arduino15\packages\Z-Uno2\hardware\zw_cm4f\3.0.10

Detecting libraries used...
C:\Users\duch\AppData\Local\Arduino15\packages\Z-Uno2\tools\zme_make\0.4.1/zme_make arduino_preproc C:\Users\duch\AppData\Local\Temp\arduino\sketches\25C85CECBBB909B1692478F46067DF75\sketch\sketch_jul4a.ino.cpp C:\Users\duch\AppData\Local\Arduino15\packages\Z-Uno2\hardware\zw_cm4f\3.0.10/cores
Found 1.8.x project structure (File:sketch_jul4a.ino.cpp). Converting it...
Error while detecting libraries included by C:\Users\duch\AppData\Local\Temp\arduino\sketches\25C85CECBBB909B1692478F46067DF75\sketch\sketch_jul4a.ino.cpp
Generating function prototypes...
C:\Users\duch\AppData\Local\Arduino15\packages\Z-Uno2\tools\zme_make\0.4.1/zme_make arduino_preproc C:\Users\duch\AppData\Local\Temp\arduino\sketches\25C85CECBBB909B1692478F46067DF75\sketch\sketch_jul4a.ino.cpp C:\Users\duch\AppData\Local\Arduino15\packages\Z-Uno2\hardware\zw_cm4f\3.0.10/cores
Found 1.8.x project structure (File:sketch_jul4a.ino.cpp). Converting it...
Traceback (most recent call last):
  File "\\vmware-host\Shared Folders\Code\ZUno\G2\zme_toolkit\ZMETools\python\gen7\toolchain\zme_make.py", line 1346, in <module>
  File "\\vmware-host\Shared Folders\Code\ZUno\G2\zme_toolkit\ZMETools\python\gen7\toolchain\zme_make.py", line 1343, in Main
  File "\\vmware-host\Shared Folders\Code\ZUno\G2\zme_toolkit\ZMETools\python\gen7\toolchain\zme_make.py", line 1196, in preardFunc
  File "shutil.py", line 432, in copy2
  File "shutil.py", line 261, in copyfile
FileNotFoundError: [Errno 2] No such file or directory: 'C:\\Users\\duch\\AppData\\Local\\Temp\\arduino\\sketches\\25C85CECBBB909B1692478F46067DF75\\preproc\\ctags_target_for_gcc_minus_e.cpp'
[16192] Failed to execute script zme_make
exit status 0xffffffff
Compilation error: exit status 0xffffffff
Latest working IDE version is 1.8.19. However, the beta versions board packages Z-Uno2 from: https://z-uno.z-wave.me/files/z-uno2/pa ... index.json are working without problems. Beta version it also has great support on this forum and bugs are constantly being fixed.

It is best to use the latest board packages to make electronic boards work together. I after updating the firmware in one, due to the development of the software, I had to update the firmware in the others so that they could exchange information.

For larger projects, I recommend Visual Studio Code with the Z-Uno extension. It has an IntelliSense feature that parses the syntax of newly declared elements in the sketch.

I haven't used the first version of Z-uno, so I don't know in this case, so I can't comment on it.
GregN
Posts: 30
Joined: 20 Aug 2015 01:47

Re: Recommended Arduino IDE versions for Z-Uno and Z-Uno2

Post by GregN »

Hi element,

Thanks for the suggestion to use the beta version of the z-uno 2 board package - that actually works with the latest Arduino IDE 2.3.2 (but z-uno packages don't). IDE 2.1.1 seems to work ok with the latest non-beta version for z-uno 2(3.0.10).

Gregory
Post Reply